# extremely useful for basic network debugging; missed these more than once in an emergency
netcat-traditional
iputils-ping
+# what would we do without this …
+apt
+# not only pull in systemd, but also /sbin/reboot and /sbin/shutdown
+systemd-sysv
#!/bin/sh
set -e
. ./misc.sh
-. ./../misc.sh
+. ../../misc.sh
expect_n_args 2 "(hostname, FQDN)" "$@"
hostname="$1"
ssh-keygen -f "/home/plom/.ssh/known_hosts" -R "${server}"
# This will be used to log-in as root from plom account.
-echo 'First, enter the old root password; then enter new password three times.'
-ssh root@"${server}" "passwd"
+printf '\nFirst, enter the old root password; then enter new password three times.\n\n'
+ssh root@"${server}" 'printf "\n\n" && passwd'
# Save root password for sshpass
stty -echo
+++ /dev/null
-#!/bin/sh
-
-# Upgrade a fresh (!) system to Bookworm, as per [1]. Fresh, because: Don't
-# expect any customized config files to survive this. If you run this on a
-# remote machine, take care not to loose anything you need to re-connect, e.g.
-# any relevant adaptations you did to /etc/ssh/sshd_config …
-
-set -e
-. ./misc.sh
-apt update
-apt -y upgrade
-apt -y -o Dpkg::Options::="--force-confnew" full-upgrade
-path_sources_list="/etc/apt/sources.list"
-cp "${config_tree_prefix}/etc_files/all${path_sources_list}" "${path_sources_list}"
-apt clean
-apt update
-apt -y upgrade
-apt -y -o Dpkg::Options::="--force-confnew" full-upgrade
-apt -y autoremove
--- /dev/null
+#!/bin/sh
+
+# Upgrade a fresh (!) system to Bookworm, as per [1]. Fresh, because: Don't
+# expect any customized config files to survive this. If you run this on a
+# remote machine, take care not to loose anything you need to re-connect, e.g.
+# any relevant adaptations you did to /etc/ssh/sshd_config …
+
+set -e
+. ./misc.sh
+apt update
+apt -y upgrade
+apt -y -o Dpkg::Options::="--force-confnew" full-upgrade
+path_sources_list="/etc/apt/sources.list"
+cp "${config_tree_prefix}/etc_files/all${path_sources_list}" "${path_sources_list}"
+apt clean
+apt update
+apt -y upgrade
+apt -y -o Dpkg::Options::="--force-confnew" full-upgrade
+apt -y autoremove
ssh-keygen -f "/home/plom/.ssh/known_hosts" -R "${server}"
# This will be used to log-in as root from plom account.
-echo 'First, enter the old root password; then enter new password three times.'
-#ssh root@"${server}" "passwd"
-ssh root@"${server}" "ls"
+printf '\nFirst, enter the old root password; then enter new password three times.\n\n'
+ssh root@"${server}" 'printf "\n\n" && passwd'
# Save root password for sshpass
stty -echo
# would require setting a password for user plom otherwise not needed.
sshpass -e scp ~/.ssh/id_rsa.pub root@"${server}":/tmp/authorized_keys
sshpass -e ssh root@"${server}" \
+ 'useradd -m plom && '\
'mkdir /home/plom/.ssh && '\
'chown plom:plom /home/plom/.ssh && '\
'chown plom:plom /tmp/authorized_keys && '\